ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Types.Fixity.Env

Synopsis

- type FixityEnv = NameEnv FixItem
- data FixItem = FixItem OccName Fixity
- emptyFixityEnv :: FixityEnv
- lookupFixity :: FixityEnv -> Name -> Fixity
- mkIfaceFixCache :: [(OccName, Fixity)] -> OccName -> Maybe Fixity
- emptyIfaceFixCache :: OccName -> Maybe Fixity

# Documentation

type FixityEnv = NameEnv FixItem Source #

Fixity environment mapping names to their fixities

data FixItem Source #

Fixity information for an `Name`. We keep the OccName in the range so that we can generate an interface from it

Constructors

FixItem OccName Fixity |

#### Instances

Instances details

Outputable FixItem Source # |
Instance details Defined in GHC.Types.Fixity.Env Methods ppr :: FixItem -> SDoc Source #

emptyFixityEnv :: FixityEnv Source #

lookupFixity :: FixityEnv -> Name -> Fixity Source #

mkIfaceFixCache :: [(OccName, Fixity)] -> OccName -> Maybe Fixity Source #

Creates cached lookup for the `mi_fix_fn` field of `ModIface`

emptyIfaceFixCache :: OccName -> Maybe Fixity Source #